All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::transport::usb_device_handle Class Referenceabstract

`#include <usb_device_handle.hpp>`

Inheritance diagram for uhd::transport::usb_device_handle:

## Public Types

typedef boost::shared_ptr < usb_device_handle > | sptr

## Public Member Functions

virtual std::string | get_serial () const =0
virtual boost::uint16_t | get_vendor_id () const =0
virtual boost::uint16_t | get_product_id () const =0

## Static Public Member Functions

static std::vector < usb_device_handle::sptr > | get_device_list (boost::uint16_t vid, boost::uint16_t pid)

## Detailed Description

Device handle class that represents a USB device Used for identifying devices on the USB bus and selecting which device is used when creating a USB transport. A minimal subset of USB descriptor fields are used. Fields can be found in the USB 2.0 specification Table 9-8 (Standard Device Descriptor). In addition to fields of the device descriptor, the interface returns the device's USB device address.

Note: The USB 2.0 Standard Device Descriptor contains an index rather then a true descriptor serial number string. This interface returns the actual string descriptor.

## Member Typedef Documentation

typedef boost::shared_ptr<usb_device_handle> uhd::transport::usb_device_handle::sptr

## Member Function Documentation

static std::vector<usb_device_handle::sptr> uhd::transport::usb_device_handle::get_device_list | ( | boost::uint16_t | vid,
|  | boost::uint16_t | pid
| ) |  |

static

Return a vector of USB devices on this host

Returns
  a vector of USB device handles that match vid and pid

virtual boost::uint16_t uhd::transport::usb_device_handle::get_product_id | ( |  | ) | const

pure virtual

Return the device's Product ID (usually assigned by manufacturer)

Returns
  a Product ID

virtual std::string uhd::transport::usb_device_handle::get_serial | ( |  | ) | const

pure virtual

Return the device's serial number

Returns
  a string describing the device's serial number

virtual boost::uint16_t uhd::transport::usb_device_handle::get_vendor_id | ( |  | ) | const

pure virtual

Return the device's Vendor ID (usually assigned by the USB-IF)

Returns
  a Vendor ID

The documentation for this class was generated from the following file:

- include/uhd/transport/usb_device_handle.hpp